Get proxy
- GET /platform/infrastructure/proxies/{proxy_id}
Retrieves a single proxy by ID.
Path Parameters
-
proxy_idstringrequired -
The identifier for the proxy
Responses
The information for the proxy specified by {proxy_id}.
-
proxy_idstringrequired -
The proxy identifier
-
runner_idstring -
Identifier of the runner for the proxy
-
host_ipstringrequired -
IP of the host the proxy runs on
-
public_hostnamestringrequired -
Public hostname of the host the proxy runs on
-
metadataobjectrequired -
Arbitrary metadata associated with the proxy
-
healthybooleanrequired -
Specifies if the proxy is healthy
-
zonestring -
The zone.
-
allocationsProxyAllocationInforequired -
Allocation information by type.
-
allocations_typerequired -
The type of proxy allocations
-
Values:
elasticsearchkibanaapmintegrations_serverappsearchenterprise_search -
countsProxyAllocationCountsrequired -
The number of proxy allocations.
-
allocationsintegerrequired -
The allocations count.
-
connectorsintegerrequired -
The connector count.
Unable to find the {proxy_id} specified proxy. Edit your request, then try again. (code: proxies.proxy_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response